import {Injectable} from "@angular/core";
import {ApiService} from "../../shared/service/api.service";
import {Observable} from "rxjs";
import {GroupToken} from "../../shared/model/account.model";

@Injectable({
  providedIn: "root"
})
export class GroupTokenService {
  constructor(
    private api: ApiService
  ) {
  }

  get all(): Observable<GroupToken[]> {
    return this.api.get<GroupToken[]>('/account/group/token')
  }

  get current(): Observable<GroupToken | null> {
    return this.api.get<GroupToken | null>('/account/group/token/current')
  }

  save(name: string): Observable<GroupToken> {
    return this.api.post<GroupToken>('/account/group/token')
  }
}
